PHP8 a Joomla! 3.10.2

Markus
21. říj 2021 07:58 #145015
Potřeboval bych poradit. Webhosting mě umožnil PHP8, tak jsem na Joomle 3.10.2 zkusil toto PHP nastavit a ve chvíli, kdy chci editovat článek se mi objevila tato chyba. Dokázali byste mi někdo poradit?

Soubor přílohy:


V souboru browser.php je na pozici 270 toto:
270 if ($list{0} === '=') {
$list = substr($list, 1);
}

$this->set('filetypes', $list);

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
21. říj 2021 12:14 - 21. říj 2021 12:14 #145017
obecná rada:

PHP 8 pro joomla 3.x.x nepoužívat

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
21. říj 2021 19:51 #145025
Určitě

Nejprve je třeba pochopit co to je za chybu a kde se vyskytuje.
Podle popisu již máte všechny informace aby jste na to přišel sám - moje babička mě vždy dráždila tím, že prý mám použít to kulaté co je tak metr nad mým zadkem.

1) umístění kde se chyba vyskytuje je v souboru patřícímu JCE editoru == dotaz směřujte na podporu JCE editoru
2) PHP samo o sobě Vám píše jakou chybu PHP8 generuje == najděte si ji na google a následně většinou najdete i odpověď (zde bych si tipoval na typ závorek)

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.